<?php

declare(strict_types=1);

namespace Drupal\Tests\symfony_http_client\Kernel;

use Drupal\KernelTests\KernelTestBase;
use Symfony\Contracts\HttpClient\HttpClientInterface;
use Symfony\Contracts\HttpClient\ResponseInterface;

/**
 * Tests the HTTP client service.
 *
 * @group symfony_http_client
 */
final class SymfonyHttpClientTest extends KernelTestBase {

  protected static $modules = [
    'symfony_http_client',
  ];

  /**
   * Tests the HTTP client service.
   */
  public function testService(): void {
    /** @var \Symfony\Contracts\HttpClient\HttpClientInterface $http */
    $http = \Drupal::service(HttpClientInterface::class);

    // Tests a response object is returned.
    // Request is executed when ->getContent() is called. Don't do this :)
    // @phpstan-ignore-next-line
    self::assertInstanceOf(ResponseInterface::class, $http->request('GET', 'https://example.com'));
  }

}
